=== debian/changelog ===
pan (0.164-1) unstable; urgency=medium

  * new upstream version
  - fix article part detection where multipart articles
    were detected as many articles instaed of one article
    with many parts.
  - fix crash when displaying emoticon replacement

 -- Dominique Dumont <dod@debian.org>  Sun, 24 Aug 2025 19:46:46 +0200
