=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
             https://gitlab.gnome.org/GNOME/pan/-/tags \
             /GNOME/pan/-/archive/v[\d.]+/pan-v(\d[\d.]*)\.tar\.gz
