## pan 0.165

=== debian/changelog ===
pan (0.165-1~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 28 Jan 2026 09:59:04 -0800

pan (0.165-1) unstable; urgency=medium

  * new upstream version
    - task-xover: fix date parsing, a potential crash and a memory leak
    - group-prefs-dialog: fix missing spellcheck language entry
    - header-pane: fix crash when backspace key is hit wihout articles
  * fix debian/watch

 -- Dominique Dumont <dod@debian.org>  Sat, 24 Jan 2026 12:21:12 +0100
