=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: pan
-Maintainer: Dominique Dumont <dod@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Dominique Dumont <dod@debian.org>
 Section: news
 Priority: optional
-Build-Depends: cmake,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               cmake,
                itstool,
                libdbus-1-dev,
                libgcr-3-dev,
                libgmime-3.0-dev,
                libgnutls28-dev,
+               libgspell-1-dev,
                libgtk-3-dev,
-               libgspell-1-dev,
                libnotify-dev,
                libsecret-1-dev
 Standards-Version: 4.7.0
@@ -21,10 +22,7 @@
 
 Package: pan
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         gnome-keyring,
-         gnupg
+Depends: gnome-keyring, gnupg, ${misc:Depends}, ${shlibs:Depends}
 Description: newsreader based on GTK3, which looks like Forte Agent
  Pan is a newsreader, loosely based on Agent and Gravity, which attempts to be
  pleasant to use for new and advanced users alike. It has all the typical
