=== debian/rules ===
--- 
+++ 
@@ -19,4 +19,13 @@
 	dh $@ --buildsystem=cmake --without=autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DENABLE_MANUAL=1 -DWANT_DBUS=1 -DWANT_GKR=1 -DWANT_NOTIFY=1 -DWANT_GMIME=0
+	dh_auto_configure -- -DENABLE_MANUAL=1 \
+	                     -DWANT_DBUS=1 \
+	                     -DWANT_GKR=1 \
+	                     -DWANT_NOTIFY=1 \
+	                     -DWANT_GMIME=0
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym
