## pan 1.3

=== DESCRIPTION ===
Package: pan
Version: 1.3
Date: 2015-02-10
Title: Multiple Imputation for Multivariate Panel or Clustered Data
Author: Original by Joseph L. Schafer 
Maintainer: Jing hua Zhao <jinghua.zhao@mrc-epid.cam.ac.uk>
Suggests: mitools, lme4
LazyData: Yes
LazyLoad: Yes
Description: Multiple imputation for multivariate panel or clustered data.
License: Unlimited
URL: http://www.stat.psu.edu/~jls/misoftwa.html
Packaged: 2015-02-10 22:15:01 UTC; jhz22
NeedsCompilation: yes
License_restricts_use: no
Repository: CRAN
Date/Publication: 2015-02-10 23:56:30
