## pan 1.4

=== DESCRIPTION ===
Package: pan
Version: 1.4
Date: 2016-02-10
Title: Multiple Imputation for Multivariate Panel or Clustered Data
Author: Original by Joseph L. Schafer 
Maintainer: Jing hua Zhao <jinghua.zhao@mrc-epid.cam.ac.uk>
Suggests: mitools, lme4
LazyData: Yes
LazyLoad: Yes
Description: Multiple imputation for multivariate panel or clustered data.
License: GPL-3
NeedsCompilation: yes
Packaged: 2016-02-10 11:47:23 UTC; jhz22
License_restricts_use: no
Repository: CRAN
Date/Publication: 2016-02-10 18:57:27
