## pan 1.6

=== DESCRIPTION ===
Package: pan
Version: 1.6
Date: 2018-06-29
Title: Multiple Imputation for Multivariate Panel or Clustered Data
Author: Original by Joseph L. Schafer 
Maintainer: Jing hua Zhao <jinghuazhao@hotmail.com>
Suggests: mitools, lme4
LazyData: Yes
LazyLoad: Yes
Description: It provides functions and examples for maximum likelihood estimation for
              generalized linear mixed models and Gibbs sampler for multivariate linear
              mixed models with incomplete data, as described in Schafer JL (1997)
              "Imputation of missing covariates under a multivariate linear mixed model".
              Technical report 97-04, Dept. of Statistics, The Pennsylvania State University.
License: GPL-3
NeedsCompilation: yes
Packaged: 2018-06-29 10:01:17 UTC; jhz22
License_restricts_use: no
Repository: CRAN
Date/Publication: 2018-06-29 14:12:56 UTC
