## pan 1.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: pan
-Version: 1.6
-Date: 2018-06-29
+Version: 1.8
+Date: 2023-6-25
 Title: Multiple Imputation for Multivariate Panel or Clustered Data
 Author: Original by Joseph L. Schafer 
 Maintainer: Jing hua Zhao <jinghuazhao@hotmail.com>
@@ -14,7 +14,7 @@
               Technical report 97-04, Dept. of Statistics, The Pennsylvania State University.
 License: GPL-3
 NeedsCompilation: yes
-Packaged: 2018-06-29 10:01:17 UTC; jhz22
+Packaged: 2023-06-25 09:00:51 UTC; jhz22
 License_restricts_use: no
 Repository: CRAN
-Date/Publication: 2018-06-29 14:12:56 UTC
+Date/Publication: 2023-06-25 12:40:02 UTC
