## pan 1.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: pan
-Version: 1.8
-Date: 2023-6-25
+Version: 1.9
+Date: 2023-8-19
 Title: Multiple Imputation for Multivariate Panel or Clustered Data
 Author: Original by Joseph L. Schafer 
 Maintainer: Jing hua Zhao <jinghuazhao@hotmail.com>
@@ -14,7 +14,7 @@
               Technical report 97-04, Dept. of Statistics, The Pennsylvania State University.
 License: GPL-3
 NeedsCompilation: yes
-Packaged: 2023-06-25 09:00:51 UTC; jhz22
-License_restricts_use: no
+Packaged: 2023-12-07 16:29:39 UTC; hornik
 Repository: CRAN
-Date/Publication: 2023-06-25 12:40:02 UTC
+Date/Publication: 2023-12-07 17:57:27
+Depends: R (>= 2.10)
